Get cron runs
curl --request GET \
--url https://api.example.com/crons/{id}/runsimport requests
url = "https://api.example.com/crons/{id}/runs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/crons/{id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"cron_id": "<string>",
"job_id": {},
"request_id": {},
"status_code": 123,
"success": true,
"response_time_ms": 123,
"error": {},
"fired_at": "<string>"
}Crons
Get cron runs
Retrieve execution history for a cron
GET
/
crons
/
{id}
/
runs
Get cron runs
Returns the last 50 executions for a cron, ordered by most recent first.
Path parameters
string
required
The UUID of the cron.
Response
Returns an array of run objects.string
Unique run identifier (UUID).
string
The cron this run belongs to.
string | null
Always
null for cron runs.string | null
Request identifier.
integer
HTTP status code returned by the webhook.
boolean
true if the status code was 2xx.integer
Execution time in milliseconds.
string | null
Error message or response body on failure.
null on success.string
ISO 8601 timestamp of when the webhook was fired.
curl https://app.cronapi.dev/api/v1/crons/a1b2c3d4-e5f6-7890-abcd-ef1234567890/runs \
-H "Authorization: Bearer your_api_key_here"
const response = await fetch(
`https://app.cronapi.dev/api/v1/crons/${cronId}/runs`,
{ headers: { "Authorization": `Bearer your_api_key_here` } }
);
const runs = await response.json();
import requests
response = requests.get(
f"https://app.cronapi.dev/api/v1/crons/{cron_id}/runs",
headers={"Authorization": "Bearer your_api_key_here"},
)
runs = response.json()
200
[
{
"id": "f1e2d3c4-b5a6-7890-fedc-ba0987654321",
"cron_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"job_id": null,
"request_id": null,
"status_code": 200,
"success": true,
"response_time_ms": 145,
"error": null,
"fired_at": "2026-04-15T14:30:00.000Z"
},
{
"id": "e2d3c4b5-a697-8901-edcb-a09876543210",
"cron_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"job_id": null,
"request_id": null,
"status_code": 500,
"success": false,
"response_time_ms": 2300,
"error": "Internal Server Error",
"fired_at": "2026-04-15T14:25:00.000Z"
}
]
⌘I